<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
                xmlns:jsf="http://xmlns.jcp.org/jsf"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                template="./../plantilla-principal.xhtml"
                xmlns:o="http://omnifaces.org/ui">

    <ui:define name="contenido">
        <div id="dimmerpagina" class="ui page active dimmer">
            <div id="mensajedimmer" class="ui text loader">Cargando página...</div>
        </div>
        <f:metadata>
            <f:event type="preRenderView" listener="#{sessionManBean.modulosFuncionalidad(7)}"></f:event>
        </f:metadata>
        <h:form id="form-menu" class="ui menu">
            <div class="borderless header item">
                <div style="font-size: 22px">
                    <i class="address card outline icon" />
                    Suscripciones
                </div>
            </div>
            <div class="right menu">
                <div class="ui category search item">
                    <div class="ui transparent icon input">
                        <input type="text" id="txf-buscar" placeholder="Buscar..."/>
                        <i id="icono-busqueda" class="search icon" />
                    </div>

                </div>
                <div class="item">
                    <div style="margin-right: 5px;" jsf:rendered="#{sessionManBean.permisosAsignados(37)}" id="btn-generar" class="ui icon button" data-tooltip="Generar cuotas..." data-inverted="true" data-position="bottom right">
                        <i class="magic icon" />
                    </div>
                    <div style="margin-right: 5px;" class="ui dropdown icon button" data-tooltip="Imprimir..." data-inverted="true" data-position="bottom right">
                        <i class="print icon"></i>
                        <div class="menu">
                            <h:commandLink onclick="mostrarDimerInforme()" actionListener="#{suscripcionManBean.verInforme(false)}" class="item">Suscripciones</h:commandLink>
                            <div class="item" onclick="verInforme()">Suscripciones + Resumen de Cobros</div>
                        </div>
                    </div>
                    <div style="margin-right: 5px; display: none;" id="boton-nuevo" class="ui green icon button" data-tooltip="Nueva suscripción" data-inverted="true" data-position="bottom right">
                        <i class="add icon" />
                    </div>
                    <div id="btn-elim" style="display: none;" jsf:rendered="#{sessionManBean.permisosAsignados(36)}" class="ui red icon button" data-tooltip="Eliminar suscripciones seleccionadas" data-inverted="true" data-position="bottom right">
                        <i class="trash icon"/>
                    </div>
                </div>
            </div>
        </h:form>
        <div class="ui grid">
            <div class="eleven wide column">
                <h:form id="form-tabla">
                    <table jsf:id="tabla-susc" class="ui table">
                        <thead>
                            <tr>
                                <th class="collapsing">
                                    <div class="ui fitted checkbox" onclick="seleccionarTodo()">
                                        <input type="checkbox" id="chk-selec-todo"/>
                                        <label/>
                                    </div>
                                </th>
                                <th class="right aligned collapsing">Cód. Susc.</th>
                                <th>Servicio</th>
                                <th>Cliente</th>
                                <th class="right aligned collapsing">C. Pend.</th>
                                <th class="right aligned collapsing">M. Deuda</th>
                                <th class="collapsing">Estado</th>
                                <th class="collapsing"></th>
                            </tr>
                        </thead>
                        <tbody jsf:id="tbody-tabla">
                            <ui:repeat value="#{suscripcionManBean.lstSuscripciones}" var="suscripcion" varStatus="suscripcionStatus">
                                <tr id="rw-#{suscripcion.idsuscripcion}" class="#{suscripcionManBean.getCantidadCuotasPendientes(suscripcion.idsuscripcion)>=suscripcionManBean.cantCuotasResaltar?'warning':''}">
                                    <td>
                                        <div  class="ui fitted checkbox" onclick="selecFila(#{suscripcion.idsuscripcion})">
                                            <input type="checkbox" id="chk-sl-#{suscripcion.idsuscripcion}"/>
                                            <label/>
                                        </div>
                                    </td>
                                    <td class="right aligned" id="colIdSusc" onclick="selecUnica(#{suscripcion.idsuscripcion})">
                                        #{suscripcion.idsuscripcion}
                                    </td>
                                    <td data-tooltip="Barrio: #{suscripcion.barrio.nombre} | Dirección: #{suscripcion.direccion}" data-inverted="" data-position="top left">
                                        <h:outputText value="#{suscripcion.servicio.nombre}" />
                                    </td>
                                    <td style="cursor: pointer" id="colRazon-#{suscripcion.idsuscripcion}" onclick="verDetalleCliente(#{suscripcion.cliente.idcliente})" data-tooltip="Cód. Cliente: #{suscripcion.cliente.idcliente} |
                                        CI/RUC: #{not empty suscripcion.cliente.ci?utilConversion.getFormatoMoneda(suscripcion.cliente.ci):'(No registrado)'}
                                        #{not empty suscripcion.cliente.ci &amp;&amp; not empty suscripcion.cliente.dvRuc?'-':''}
                                        #{not empty suscripcion.cliente.ci &amp;&amp; not empty suscripcion.cliente.dvRuc?suscripcion.cliente.dvRuc:''} |
                                        Click para ver cliente" data-inverted="">
                                        #{suscripcion.cliente.razonSocial}
                                    </td>
                                    <td class="right aligned" onclick="selecUnica(#{suscripcion.idsuscripcion})">
                                        #{suscripcionManBean.getCantidadCuotasPendientes(suscripcion.idsuscripcion)}
                                    </td>
                                    <td class="right aligned" onclick="selecUnica(#{suscripcion.idsuscripcion})">
                                        <h:outputText value="#{suscripcionManBean.getMontoDeuda(suscripcion.idsuscripcion)}">
                                            <f:convertNumber pattern="###,###,###,###" />
                                        </h:outputText>
                                    </td>
                                    <td class="#{utilConversion.getColorEstado(suscripcion.estado.idestado)}" onclick="selecUnica(#{suscripcion.idsuscripcion})"
                                        data-tooltip="Desde: #{not empty suscripcion.fechaCambioEstado?utilConversion.getFechaFormateada(suscripcion.fechaCambioEstado):'(No registrado)'}" data-inverted="">
                                        #{suscripcion.estado.nombre}
                                    </td>
                                    <td class="collapsing">
                                        <div data-inverted="" data-tooltip="Ver detalles de la suscripción">
                                            <a href="detallesuscripcion.xhtml?ids=#{suscripcion.idsuscripcion}">
                                                <i class="external link icon" />
                                            </a>

                                        </div>
                                    </td>
                                </tr>
                                <input id="#{suscripcion.idsuscripcion}-montocuo" type="hidden" value="#{suscripcion.precio}" />
                                <input id="#{suscripcion.idsuscripcion}-cli" type="hidden" value="#{suscripcion.cliente.idcliente}" />
                                <input id="#{suscripcion.idsuscripcion}-serv" type="hidden" value="#{suscripcion.servicio.idservicio}" />
                                <input id="#{suscripcion.idsuscripcion}-vencim" type="hidden" value="#{suscripcion.diaVencimientoMes}" />
                                <input id="#{suscripcion.idsuscripcion}-estado" type="hidden" value="#{suscripcion.estado.idestado}" />
                                <input id="#{suscripcion.idsuscripcion}-canttv" type="hidden" value="#{suscripcion.cantidadTvs}" />
                                <input id="#{suscripcion.idsuscripcion}-nromedidor" type="hidden" value="#{suscripcion.nroMedidorElectrico}" />
                                <input id="#{suscripcion.idsuscripcion}-tipoviv" type="hidden" value="#{suscripcion.tipoVivienda.idtipoVivienda}" />
                                <input id="#{suscripcion.idsuscripcion}-cobra" type="hidden" value="#{suscripcion.cobrador.idfuncionario}" />
                                <input id="#{suscripcion.idsuscripcion}-nombrecobra" type="hidden" value="#{suscripcion.cobrador.nombres} #{suscripcion.cobrador.apellidos}" />
                                <input id="#{suscripcion.idsuscripcion}-barrio" type="hidden" value="#{suscripcion.barrio.idbarrio}" />
                                <input id="#{suscripcion.idsuscripcion}-tiposusc" type="hidden" value="#{suscripcion.tipoSuscripcion.idtipoSuscripcion}" />
                            </ui:repeat>
                            <tr jsf:rendered="#{empty suscripcionManBean.lstSuscripciones}">
                                <td class="center aligned disabled" colspan="8">(Sin suscripciones)</td>
                            </tr>
                        </tbody>
                        <tfoot class="full-width" jsf:id="pie-tabla">
                            <tr>
                                <th colspan="8">
                                    <div id="cmb-reg-porpag" class="ui compact selection dropdown">
                                        <input name="in-reg-porpag" type="hidden" jsf:value="#{suscripcionManBean.paginador.cantidadRegistrosPorPagina}"/>
                                        <i class="dropdown icon"></i>
                                        <div class="default text">Registros</div>
                                        <div class="menu">
                                            <div class="item" data-value="10">10 Ítems</div>
                                            <div class="item" data-value="20">20 Ítems</div>
                                            <div class="item" data-value="50">50 Ítems</div>
                                            <div class="item" data-value="100">100 Ítems</div>
                                            <div class="item" data-value="150">150 Ítems</div>
                                            <div class="item" data-value="200">200 Ítems</div>
                                        </div>
                                    </div>
                                    <span jsf:id="datos-paginacion">
                                        del #{suscripcionManBean.paginador.posicionInicio} al #{suscripcionManBean.paginador.posicionFin} (Total: #{suscripcionManBean.paginador.totalRegistros})
                                    </span>

                                    <h:commandLink id="cml-camb-cant-items">
                                        <f:ajax execute="form-tabla:in-reg-porpag" render="form-tabla:botones-paginacion form-tabla:tbody-tabla form-tabla:datos-paginacion"/>
                                    </h:commandLink>
                                    <div jsf:id="botones-paginacion" class="ui right floated pagination menu">
                                        <h:commandLink disabled="#{!suscripcionManBean.paginador.desplazableIzquierda}" class="#{!suscripcionManBean.paginador.desplazableIzquierda?'disabled icon item':'icon item'}" action="#{suscripcionManBean.paginador.desplazarIzquierdaPaginador()}">
                                            <i class="left chevron icon"></i>
                                            <f:ajax render="form-tabla:botones-paginacion form-tabla:datos-paginacion" execute="@this" />
                                        </h:commandLink>
                                        <ui:repeat value="#{suscripcionManBean.paginador.bloqueNumeracionPaginas}" var="pag" varStatus="pagStatus">
                                            <h:commandLink class="#{suscripcionManBean.paginador.paginaActual==pag?'active item':'item'}" action="#{suscripcionManBean.paginador.setPaginaActual(pag)}">
                                                #{pag}
                                                <f:ajax execute="@this" render="form-tabla:botones-paginacion form-tabla:tbody-tabla form-tabla:datos-paginacion"  onevent="function(data){ajaxPaginacion(data)}" />
                                            </h:commandLink>
                                        </ui:repeat>
                                        <h:commandLink disabled="#{!suscripcionManBean.paginador.desplazableDerecha}" class="#{!suscripcionManBean.paginador.desplazableDerecha?'disabled icon item':'icon item'}" action="#{suscripcionManBean.paginador.desplazarDerechaPaginador()}">
                                            <i class="right chevron icon"></i>
                                            <f:ajax render="form-tabla:botones-paginacion form-tabla:datos-paginacion" execute="@this" />
                                        </h:commandLink>
                                    </div>
                                </th>
                            </tr></tfoot>
                    </table>
                    <input name="selbar" id="selbar" type="hidden" jsf:value="#{suscripcionManBean.seleccionJson}"/>
                    <h:commandLink style="display: none" id="cml-enviar-seleccion" actionListener="#{suscripcionManBean.seleccionarSuscripciones()}" >
                        <f:ajax execute="@this selbar"/>
                    </h:commandLink>
                </h:form>
            </div>
            <div class="five wide column">
                <div class="ui pointing secondary menu">
                    <a class="item active" data-tab="filtros">Filtros</a>
                    <a style="display: none;" id="tabFormulario" class="item" data-tab="formulario">Formulario</a>
                    <a class="item" data-tab="resumen" >Cuo. Pend.</a>
                    <a class="item" data-tab="nosusctab">Cant. Susc.</a>
                </div>
                <div class="ui active tab" data-tab="filtros">
                    <h:form id="form-filtro-sel">
                        <input jsf:id="in-tx-busq" type="hidden" jsf:value="#{suscripcionManBean.textBusq}" />
                        <div class="ui form">
                            <div class="field">
                                <label><i class="red remove link icon" onclick="$('#cmbServicioFiltro').dropdown('clear');" />Servicio</label>
                                <div id="cmbServicioFiltro" class="ui selection dropdown">
                                    <h:inputHidden value="#{suscripcionManBean.idServicioFiltro}" />
                                    <i class="dropdown icon"></i>
                                    <div class="default text">Todos los servicios</div>
                                    <div class="menu">
                                        <ui:repeat value="#{suscripcionManBean.lstServiciosSuscribibles}" var="srv">
                                            <div class="item" data-value="#{srv.idservicio}">#{srv.nombre}</div>
                                        </ui:repeat>                                        
                                    </div>
                                </div>
                            </div>
                            <div class="field">
                                <label><i class="red remove link icon" onclick="$('#cmb-tiposusc-filtro').dropdown('clear')" />Tipo de suscripción</label>
                                <div class="ui selection dropdown" id="cmb-tiposusc-filtro">
                                    <input type="hidden" name="in-tiposusc-filtro" jsf:value="#{suscripcionManBean.idTipoSuscFiltro}"/>
                                    <i class="dropdown icon"></i>
                                    <div class="default text">Todos los tipos</div>
                                    <div class="menu">
                                        <ui:repeat value="#{tipoSuscripcionManBean.lstTipoSuscripcion}" var="tiposusc" varStatus="tiposuscStatus">
                                            <div class="item" data-value="#{tiposusc.idtipoSuscripcion}">#{tiposusc.nombre}</div>
                                        </ui:repeat>
                                    </div>
                                </div>
                            </div>

                            <div class="field">
                                <label><i class="red remove link icon" onclick="$('#cmb-cobrador-filtro').dropdown('clear')"/>Cobrador</label>
                                <div id="cmb-cobrador-filtro" class="ui search selection dropdown">
                                    <input name="in-cobrador-filtro" type="hidden" jsf:value="#{suscripcionManBean.idCobradorFiltro}"/>
                                    <i class="dropdown icon"></i>
                                    <div class="default text">Todos los cobradores</div>
                                    <div class="menu">
                                    </div>
                                </div>

                            </div>
                            <div class="field">
                                <label><i class="red remove link icon" onclick="$('#cmb-barriofiltro').dropdown('clear')"/>Barrio</label>
                                <div id="cmb-barriofiltro" class="ui fluid search selection dropdown">
                                    <input id="in-barriofiltro" name="in-barriofiltro" type="hidden" jsf:value="#{suscripcionManBean.idBarrioFiltro}"/>
                                    <i class="dropdown icon"></i>
                                    <div class="default text">Barrio</div>
                                    <div class="menu">
                                        <ui:repeat value="#{barriosManBean.lstBarriosOrdenados}" var="bf">
                                            <div class="item" data-value="#{bf.idbarrio}">#{bf.nombre}</div>
                                        </ui:repeat>
                                    </div>
                                </div>
                            </div>

                            <div class="field">
                                <label><i class="red remove link icon" onclick="$('#cmb-estado-filtro').dropdown('clear')"/>Estado</label>
                                <div id="cmb-estado-filtro" class="ui selection dropdown">
                                    <input jsf:value="#{suscripcionManBean.idEstadoFiltro}" name="in-estado-filtro" type="hidden" />
                                    <i class="dropdown icon"></i>
                                    <div class="default text">Todos los estados</div>
                                    <div class="menu">
                                        <div class="item" data-value="1000">Activo</div>
                                        <div class="item" data-value="1001">Inactivo</div>
                                        <div class="divider" />
                                        <ui:repeat value="#{estadoSusManBean.estadosSuscripcion}" var="estSuscFilt" varStatus="estSuscFiltStatus">
                                            <div class="item" data-value="#{estSuscFilt.idestado}">#{estSuscFilt.nombre}</div>
                                        </ui:repeat>
                                    </div>
                                </div>
                            </div>

                            <div class="ui horizontal divider">
                                Cambio de estado
                            </div>
                            <div class="field">
                                <div class="ui checked checkbox">
                                    <input id="in-chk-todasfechascambio" name="in-chk-todasfechascambio" type="checkbox" checked="" jsf:value="#{suscripcionManBean.filtrarTodasFechasCambioEstado}" />
                                    <label>Cualquier fecha</label>
                                </div>
                            </div>
                            <div class="two fields">
                                <div class="field">
                                    <label>Desde</label>
                                    <div class="ui calendar" id="cal-desde-ts-filtro">
                                        <div class="ui input left icon">
                                            <i class="calendar icon"></i>
                                            <input id="in-cal-desde-ts-filtro" type="text" placeholder="Desde" jsf:value="#{suscripcionManBean.strDesdeTS}" disabled="" />
                                        </div>
                                    </div>
                                </div>
                                <div class="field">
                                    <label>Hasta</label>
                                    <div class="ui calendar" id="cal-hasta-ts-filtro">
                                        <div class="ui input left icon">
                                            <i class="calendar icon"></i>
                                            <input id="in-cal-hasta-ts-filtro" type="text" placeholder="Hasta" jsf:value="#{suscripcionManBean.strHastaTS}" disabled="" />
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="ui horizontal divider">
                                Cálculo de cuotas
                            </div>
                            <div class="field">
                                <label>Cuotas pendientes</label>
                                <input placeholder="Cualquier cantidad" min="0" name="in-cuopend-filtro" type="number" jsf:value="#{suscripcionManBean.cantCuotasFiltro}"/>
                            </div>

                            <div class="two fields">
                                <div class="field">
                                    <label>Desde</label>
                                    <div class="ui calendar" id="cal-desde-filtro">
                                        <div class="ui input left icon">
                                            <i class="time icon"></i>
                                            <input type="text" placeholder="Desde" jsf:value="#{suscripcionManBean.strDesdeFiltro}"/>
                                        </div>
                                    </div>
                                </div>
                                <div class="field">
                                    <label>Hasta</label>
                                    <div class="ui calendar" id="cal-hasta-filtro">
                                        <div class="ui input left icon">
                                            <i class="time icon"></i>
                                            <input type="text" placeholder="Hasta" jsf:value="#{suscripcionManBean.strHastaFiltro}"/>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <h:commandLink id="cml-filtrar-sel" action="#{suscripcionManBean.filtrarSuscripciones()}" class="ui right labeled icon button">
                                Filtrar
                                <i class="filter icon" />
                                <f:ajax execute="@form " render="form-tabla:botones-paginacion form-tabla:tbody-tabla form-tabla:datos-paginacion form-resumen" onevent="function(data){ajaxFiltrarSucripciones(data)}"/>
                            </h:commandLink>
                        </div>

                    </h:form>
                </div>
                <div style="display: none;" class="ui tab" data-tab="formulario">
                    <h:form id="form-datos">
                        <div class="ui form">
                            <div class="field">
                                <label>ID</label>
                                <input  id="idsusc" disabled="true" placeholder="Código" />
                                <input type="hidden" id="idsusc-hidden" jsf:value="#{suscripcionManBean.suscVar.idsuscripcion}" />
                            </div>
                            <div class="field">
                                <label>Cliente</label>
                                <div id="cmbCli" class="ui search selection dropdown" onkeypress="return keyPressSeleccionCli(event)">
                                    <input jsf:id="in-clisel" jsf:value="#{suscripcionManBean.idCliente}" type="hidden" />
                                    <i class="dropdown icon" />
                                    <div class="default text">Cliente</div>
                                    <div class="menu">
                                    </div>
                                </div>
                            </div>

                            <div class="field">
                                <label>Servicio</label>
                                <div id="cmbServ" class="ui selection dropdown">
                                    <input jsf:id="in-idservicio" jsf:value="#{suscripcionManBean.idServicio}" type="hidden" />
                                    <i class="dropdown icon" />
                                    <div class="default text">Servicio</div>
                                    <div class="menu">
                                        <ui:repeat value="#{suscripcionManBean.lstServiciosSuscribibles}" var="serv" varStatus="servStatus">
                                            <div class="item" data-value="#{serv.idservicio}">#{serv.nombre}</div>
                                        </ui:repeat>
                                    </div>
                                </div>
                            </div>
                            <div class="two fields">
                                <div class="field">
                                    <label>Monto Mensual</label>
                                    <div class="ui right labeled input">
                                        <input jsf:id="in-montocuota" jsf:value="#{suscripcionManBean.suscVar.precio}" placeholder="Monto mensual" type="number">

                                        </input>
                                        <div class="ui label">gs.</div>
                                    </div>
                                </div>
                                <div class="field">
                                    <label>Día de Vencimiento</label>
                                    <input jsf:id="in-diavenc" jsf:value="#{suscripcionManBean.suscVar.diaVencimientoMes}" placeholder="Vencimiento" type="number" min="1" max="28"/>
                                </div>
                            </div>
                            <!--<div class="two fields">-->
                            <!--                                <div class="field">
                                                                <label>Estado</label>
                                                                <div id="cmbEstado" class="ui fluid selection dropdown">
                                                                    <input jsf:value="#{suscripcionManBean.idEstadoSusc}" type="hidden" />
                                                                    <i class="dropdown icon" />
                                                                    <div class="default text">Estado</div>
                                                                    <div class="menu">
                                                                        <ui:repeat value="#{estadoSusManBean.estadosSuscripcion}" var="estSusc" varStatus="estSuscStatus">
                                                                            <div class="item" data-value="#{estSusc.idestado}">#{estSusc.nombre}</div>
                                                                        </ui:repeat>
                            
                                                                    </div>
                                                                </div>
                                                            </div>-->
                            <div class="field">
                                <label>Cantidad de TVs</label>
                                <input jsf:id="in-canttv" jsf:value="#{suscripcionManBean.suscVar.cantidadTvs}" type="number" min="1" max="20" placeholder="Cantidad de TVs" />
                            </div>
                            <!--</div>-->
                            <div class="two fields">
                                <div class="field">
                                    <label>Número Medidor</label>
                                    <input jsf:id="in-nroMedidor" jsf:value="#{suscripcionManBean.suscVar.nroMedidorElectrico}" type="text" placeholder="Número de Medidor" />
                                </div>
                                <div class="field">
                                    <label>Tipo de Vivienda</label>
                                    <div id="tipoViv" class="ui fluid selection dropdown">
                                        <input jsf:id="in-tipoviv" jsf:value="#{suscripcionManBean.idTipoVivienda}" type="hidden" />
                                        <i class="dropdown icon" />
                                        <div class="default text">Tipo de Vivienda</div>
                                        <div class="menu">
                                            <ui:repeat value="#{tipoViviendaManBean.tiposVivienda}" var="tipovi" varStatus="tipoviStatus">
                                                <div class="item" data-value="#{tipovi.idtipoVivienda}">#{tipovi.nombre}</div>
                                            </ui:repeat>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="field">
                                <label>Cobrador</label>
                                <div id="cmbCobrador" class="ui fluid search selection dropdown">
                                    <input jsf:id="in-idcobrador" jsf:value="#{suscripcionManBean.idCobrador}" type="hidden" />
                                    <i class="dropdown icon" />
                                    <div class="default text">Cobrador</div>
                                    <div class="menu">
<!--                                        <ui:repeat value="#{suscripcionManBean.lstCobradores}" var="funcio" varStatus="funcioStatus">
                                            <div class="item" data-value="#{funcio.idfuncionario}">#{funcio.nombres} #{funcio.apellidos}</div>
                                        </ui:repeat>-->
                                    </div>
                                </div>
                            </div>
                            <div class="field">
                                <label>Barrio</label>
                                <div id="cmbBarrio" class="ui fluid search selection dropdown">
                                    <input jsf:id="in-idbarrio" jsf:value="#{suscripcionManBean.idBarrio}" type="hidden" />
                                    <i class="dropdown icon" />
                                    <div class="default text">Barrio</div>
                                    <div class="menu">
                                        <ui:repeat value="#{barriosManBean.lstBarriosOrdenados}" var="barrio" varStatus="barrioStatus">
                                            <div class="item" data-value="#{barrio.idbarrio}">#{barrio.nombre}</div>
                                        </ui:repeat>
                                    </div>
                                </div>
                            </div>
                            <div class="field">
                                <label>Tipo de Suscripción</label>
                                <div id="cmb-tiposusc" class="ui selection dropdown">
                                    <input type="hidden" name="in-idtiposusc" jsf:value="#{suscripcionManBean.idTipoSuscripcion}" />
                                    <i class="dropdown icon"></i>
                                    <div class="default text">Tipo de suscripción</div>
                                    <div class="menu">
                                        <ui:repeat value="#{suscripcionManBean.lstTipoSuscripcion}" var="ts" varStatus="tsStatus">
                                            <div class="item" data-value="#{ts.idtipoSuscripcion}">#{ts.nombre}</div>
                                        </ui:repeat>
                                    </div>
                                </div>
                            </div>
                            <div class="field">
                                <label>Dirección</label>
                                <input jsf:id="in-direccion" jsf:value="#{suscripcionManBean.suscVar.direccion}" type="text" placeholder="Dirección" />
                            </div>
                            <div class="field">
                                <div class="ui divider"/>
                            </div>
                            <div class="field" id="field-primerven">
                                <label>Primer vencimiento</label>
                                <div class="ui calendar" id="cal-primer-vencimiento">
                                    <div class="ui input left icon">
                                        <i class="calendar icon"></i>
                                        <input type="text" placeholder="Fecha" jsf:value="#{suscripcionManBean.strFechaPrimerVenc}"/>
                                    </div>
                                </div>
                            </div>
                            <div class="field" id="field-primermonto">
                                <label>Monto primera cuota</label>
                                <input type="number" placeholder="Monto" jsf:value="#{suscripcionManBean.montoPrimeraCuota}" jsf:id="in-monto-primer" />
                            </div>
                            <div class="field">
                                <h:commandLink id="cml-selec-cli-form" style="display: none" action="#{suscripcionManBean.seleccionarCliFormulario()}" >
                                    <f:ajax execute="@this form-datos:in-clisel" render="in-direccion in-idtiposusc in-idbarrio in-idcobrador form-datos:in-tipoviv in-nroMedidor in-canttv in-diavenc in-montocuota in-idservicio" onevent="function(data){ajaxSeleccionCliForm(data)}" />
                                </h:commandLink>
                                <h:commandLink rendered="#{sessionManBean.permisosAsignados(24)}" id="btn-agregar" class="ui primary button" action="#{suscripcionManBean.agregarSuscripcion()}">
                                    <i class="add circle icon" />
                                    Agregar
                                    <f:ajax execute="@form" render="form-tabla text-form" onevent="function(data){ajaxRegistrarSusc('Registrar Suscripción', data);}" />
                                </h:commandLink>
                                <h:commandLink style="display: none;" rendered="#{sessionManBean.permisosAsignados(30)}" id="btn-guardar" class="ui teal button" action="#{suscripcionManBean.modificarSuscripcion()}">
                                    <i class="save circle icon" />
                                    Guardar
                                    <f:ajax execute="@form" render="form-tabla text-form" onevent="function(data){ajaxModificarSusc('Modificar Suscripción', data);}" />
                                </h:commandLink>
                            </div>
                            <div id="msg-form" class="ui info hidden message">
                                <i class="close icon" />
                                <div id="titulo-msg" class="header">
                                    Info
                                </div>
                                <h:outputText id="text-form" value="#{suscripcionManBean.msg}"/>
                            </div>
                        </div>
                    </h:form>
                </div>
                <div class="ui tab" data-tab="resumen">
                    <h:form id="form-resumen">
                        <h:commandLink rendered="#{sessionManBean.permisosAsignados(39)}" id="cml-actualizar-resumen" class="ui right labeled icon button" action="#{suscripcionManBean.procesarResumen()}">
                            <i class="refresh icon" />
                            Actualizar
                            <f:ajax execute="@form" render="@form" onevent="function(data){ajaxActualizarResumen(data)}" />
                        </h:commandLink>
                        <table class="ui definition table">
                            <thead>
                                <tr>
                                    <th></th>
                                    <th>Cant. Susc.</th>
                                    <th>Monto Deuda</th>
                                </tr>
                            </thead>
                            <tbody>

                                <tr jsf:rendered="#{empty suscripcionManBean.lstItemsResumen}">
                                    <td></td>
                                    <td colspan="2">(Sin registros)</td>
                                </tr>
                                <ui:repeat value="#{suscripcionManBean.lstItemsResumen}" var="itemres" varStatus="itemresStatus">
                                    <tr>
                                        <td>#{itemres.nroCuotas} #{itemres.nroCuotas==1?'cuota pendiente':'cuotas pendientes'}</td>
                                        <td>
                                            <h:outputText value="#{itemres.cantSuscripciones}">
                                                <f:convertNumber pattern="###,###,###,###" />
                                            </h:outputText>
                                        </td>
                                        <td class="right aligned">
                                            <h:outputText value="#{itemres.monto}">
                                                <f:convertNumber pattern="###,###,###,###" />
                                            </h:outputText>
                                        </td>
                                    </tr>
                                </ui:repeat>
                                <tr jsf:rendered="#{not empty suscripcionManBean.lstItemsResumen}">
                                    <td><h5 class="ui header">Total</h5></td>
                                    <td>
                                        <h5 class="ui header">
                                            <h:outputText value="#{suscripcionManBean.totalSuscripcionesResumen}">
                                                <f:convertNumber pattern="###,###,###,###" />
                                            </h:outputText>
                                        </h5>
                                    </td>
                                    <td class="right aligned"><h5 class="ui header">
                                            <h:outputText value="#{suscripcionManBean.totalResumen}">
                                                <f:convertNumber pattern="###,###,###,###" />
                                            </h:outputText>
                                        </h5>
                                    </td>
                                </tr>
                            </tbody>
                        </table>

                    </h:form>
                </div>
                <div class="ui tab" data-tab="nosusctab">
                    <h:form prependId="false">
                        <h:commandLink class="ui right labeled icon button" id="btnActualizarNroSusc" action="#{suscripcionManBean.actualizarResumenCantidadSuscripciones()}">
                            Actualizar
                            <i class="refresh icon" />
                            <f:ajax execute="@form" render="@form" onevent="function(data){ajaxActualizarNroSuscrip(data)}" />
                        </h:commandLink>
                        <table class="ui definition table">
                            <thead>
                                <tr>
                                    <th></th>
                                    <th class="right aligned">Con.</th>
                                    <th class="right aligned">Recon.</th>
                                    <th class="rigth aligned">Desc.</th>
                                </tr>
                            </thead>
                            <tbody>
                                <ui:repeat value="#{suscripcionManBean.lstServiciosResumenCantidad}" var="servRes">
                                    <tr>
                                        <td>#{servRes.nombre}</td>
                                        <td class="right aligned">
                                            <h:outputText value="#{suscripcionManBean.getCantidadPorEstadoServicio(servRes.idservicio, 1)}">
                                                <f:convertNumber pattern="###,###,###,###" />
                                            </h:outputText>
                                        </td>
                                        <td class="right aligned">
                                            <h:outputText value="#{suscripcionManBean.getCantidadPorEstadoServicio(servRes.idservicio, 2)}">
                                                <f:convertNumber pattern="###,###,###,###" />
                                            </h:outputText>
                                        </td>
                                        <td class="right aligned">
                                            <h:outputText value="#{suscripcionManBean.getCantidadPorEstadoServicio(servRes.idservicio, 3)}">
                                                <f:convertNumber pattern="###,###,###,###" />
                                            </h:outputText>
                                        </td>
                                    </tr>
                                </ui:repeat>
                            </tbody>
                        </table>
                    </h:form>
                </div>
            </div>
        </div>
        <h:form rendered="#{sessionManBean.permisosAsignados(36)}" id="dlg-conf-elim" class="ui basic modal">
    <!--<input name="selbar" id="selbar" type="hidden" jsf:value="#{suscripcionManBean.seleccionJson}"/>-->
            <div class="ui icon header">
                <i class="trash icon"></i>
                Eliminar Suscripciones
            </div>
            <div class="centered content">
                <p>¿Desea eliminar los elementos seleccionados?</p>
            </div>
            <div class="actions">
                <button jsf:action="#{suscripcionManBean.eliminarSuscripciones()}" class="ui green ok inverted button">
                    <i class="checkmark icon"></i>
                    Sí
                    <f:ajax execute="@form" onevent="generarDatosSeleccion()" render="form-tabla"/>
                </button>
                <div class="ui red basic cancel inverted button">
                    <i class="remove icon"></i>
                    No
                </div>
            </div>
        </h:form>
        <h:form rendered="#{sessionManBean.permisosAsignados(37)}" id="dlg-generar-cuotas" class="ui modal">
            <div class="header">
                Generar cuotas
            </div>
            <div class="content">
                <div class="ui form">
                    <div class="field">
                        <div class="ui checkbox">
                            <input jsf:value="#{generarCuotasManBean.chkGenerarTodo}" name="in-generar-todo" type="checkbox" />
                            <label>Generar para todas las suscripciones activas</label>
                        </div>
                    </div>
                    <div class="ui field">
                        <label>Suscripcion/Cliente</label>
                        <div id="cmb-susc-gen" class="ui disabled search selection dropdown">
                            <input name="in-susc-gen" type="hidden" jsf:value="#{generarCuotasManBean.idSuscripcionSel}"/>
                            <i class="dropdown icon"></i>
                            <div class="default text">Suscripcion/Cliente</div>
                            <div class="menu">
                            </div>
                        </div>
                    </div>
                    <div class="fields">
                        <div class="eight wide field">
                            <label>Desde</label>
                            <div class="ui calendar" id="cal-desde-gencuota">
                                <div class="ui input left icon">
                                    <i class="time icon"></i>
                                    <input type="text" placeholder="Mes Año" jsf:value="#{generarCuotasManBean.strFDesdeGCuota}"/>
                                </div>
                            </div>
                            <br/>
                        </div>
                        <div class="eight wide field">
                            <label>Hasta</label>
                            <div class="ui calendar" id="cal-hasta-gencuota">
                                <div class="ui input left icon">
                                    <i class="time icon"></i>
                                    <input type="text" placeholder="Mes Año" jsf:value="#{generarCuotasManBean.strFHastaGCuota}"/>
                                </div>
                            </div>
                            <br/>
                        </div>
                    </div>
                    <div class="field">
                        <div class="ui checkbox">
                            <input name="chk-generar-reciente" type="checkbox" jsf:value="#{generarCuotasManBean.chkGenerarMasReciente}"/>
                            <label>Generar sólo desde la cuota más reciente</label>
                        </div>
                    </div>
                    <div class="field">
                        <div id="progress-gencuota" class="ui indicating progress" data-percent="#{generarCuotasManBean.ultimoPorcentaje}">
                            <div class="bar">
                                <div class="progress" />
                            </div>
                            <div id="lbl-cli" class="label">Generar cuotas</div>
                        </div>
                    </div>
                    <div class="field">
                        <input jsf:id="tipo-msg-gen" type="hidden" value="#{generarCuotasManBean.tipoMensajeGenerar}" />
                        <div id="msg-status-gen" class="ui hidden info message">
                            <i class="close icon"></i>
                            <div id="titulo-msg-gen" class="header">
                                Generar cuotas
                            </div>
                            <h:outputText id="lbl-msg-status-gen" value="#{generarCuotasManBean.msgCantidadGenerado}" />
                        </div>
                    </div>
                </div>
            </div>
            <div class="actions">
                <h:commandLink id="cml-actualizar-msg" style="display: none">
                    <f:ajax execute="@this" render="dlg-generar-cuotas:tipo-msg-gen lbl-msg-status-gen" />
                </h:commandLink>
                <div id="btn-cerrar-gen" class="ui deny button">
                    Cerrar
                </div>
                <h:commandLink id="btn-acept-gen" value="Generar" action="#{generarCuotasManBean.generarCuotas()}" class="#{generarCuotasManBean.generando?'ui disabled loading green right labeled icon button':'ui green right labeled icon button'}" >
                    <i class="magic icon"></i>
                    <f:ajax execute="@form" render="dlg-generar-cuotas:tipo-msg-gen lbl-msg-status-gen" onevent="function(data){ajaxGenerarCuotas(data);}" />
                </h:commandLink>


            </div>
        </h:form>
        <h:form id="dlg-importe-nuevo" class="ui modal">
            <i class="close icon"></i>
            <div class="header">
                Importe por nueva conexión
            </div>
            <div class="content">
                <div class="ui field">
                    <div class="field">
                        <label>Monto</label>
                        <input jsf:value="#{suscripcionManBean.montoPorConexion}" type="number" />
                    </div>
                </div>
            </div>
            <div class="actions">
                <h:commandLink id="btn-conf-agregar" class="ui right labeled gren icon button" action="#{suscripcionManBean.agregarSuscripcion()}">
                    <i class="checkmark icon" />
                    Aceptar
                    <f:ajax execute="@this form-datos" render="form-tabla text-form" onevent="function(data){registrarSusc('Registrar Suscripción', data);}" />
                </h:commandLink>
                <div class="ui right labeled red deny icon button">
                    No
                    <i class="remove icon"/>
                </div>

            </div>
        </h:form>
        <h:form id="dlg-rango-cobros" class="ui modal">
            <div class="header">
                Rango de cobros
            </div>
            <div class="content">
                <div class="ui form">
                    <div class="two fields">
                        <div class="field">
                            <label>Fecha Desde</label>
                            <div id="cal-fechad-informe-cobro" class="ui calendar">
                                <div class="ui input left icon">
                                    <i class="calendar icon"></i>
                                    <input jsf:value="#{suscripcionManBean.strFechaDesdeCobroRes}" type="text" placeholder="Date"/>
                                </div>
                            </div>
                            <br/>
                        </div>
                        <div class="field">
                            <label>Fecha Hasta</label>
                            <div id="cal-fechah-informe-cobro" class="ui calendar">
                                <div class="ui input left icon">
                                    <i class="calendar icon"></i>
                                    <input jsf:value="#{suscripcionManBean.strFechaHastaCobroRes}" type="text" placeholder="Date"/>
                                </div>
                            </div>
                            <br/>
                        </div>
                    </div>
                </div>
            </div>
            <div class="actions">
                <h:commandLink onclick="mostrarDimerInforme()" class="ui right labeled positive icon button" actionListener="#{suscripcionManBean.verInforme(true)}">
                    <i class="checkmark icon" />
                    Aceptar
                </h:commandLink>
                <div class="ui right labeled deny icon button">
                    <i class="close icon" />
                    Cancelar
                </div>
            </div>
        </h:form>
        <o:socket channel="canalProgresoGenCuotaSus" onmessage="listenerGenCuotaSus" />
        <script>
            function ajaxPaginacion(data) {
                var s = data.status;
                switch (s) {
                    case 'success':
                    {
                        ocultarBtnElim();
                        modoModificar();
                        limpiarFormulario();
                        break;
                    }
                }
            }
            function mostrarCamposPrimeraCuota(mostrar) {
                if (mostrar === true) {
                    $('#field-primerven').hide();
                    $('#field-primermonto').hide();
                } else {
                    $('#field-primerven').show();
                    $('#field-primermonto').show();
                }
            }
            function verInforme() {
                $('#btn-imprimir').addClass('loading');
                $('#btn-imprimir').addClass('disabled');
                $('#dlg-rango-cobros').modal({
                    onHidden: function () {
                        $('#btn-imprimir').removeClass('loading');
                        $('#btn-imprimir').removeClass('disabled');
                    },
                    onVisible: function () {
                        //INICIALIZACION CALENDAR RANGO DE COBROS
                        $('#cal-fechad-informe-cobro').calendar({
                            type: 'date',
                            text: {
                                days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                                months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                                monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                                today: 'Hoy',
                                now: 'Ahora',
                                am: 'AM',
                                pm: 'PM'
                            },
                            endCalendar: $('#cal-fechah-informe-cobro')
                        });
                        $('#cal-fechah-informe-cobro').calendar({
                            type: 'date',
                            text: {
                                days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                                months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                                monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                                today: 'Hoy',
                                now: 'Ahora',
                                am: 'AM',
                                pm: 'PM'
                            },
                            startCalendar: $('#cal-fechad-informe-cobro')
                        });
                    }
                }).modal('show');
                return false;
            }
            function ajaxActualizarResumen(data) {
                var s = data.status;
                switch (s) {
                    case 'success':
                    {
                        $('#form-resumen\\:cml-actualizar-resumen').removeClass('disabled');
                        $('#form-resumen\\:cml-actualizar-resumen').removeClass('loading');
                        break;
                    }
                    case 'begin':
                    {
                        $('#form-resumen\\:cml-actualizar-resumen').addClass('disabled');
                        $('#form-resumen\\:cml-actualizar-resumen').addClass('loading');
                        break;
                    }
                }
            }
            function ajaxFiltrarSucripciones(data) {
                var s = data.status;
                switch (s) {
                    case 'begin':
                    {
                        $('#dim-tabla').dimmer('show');
                        $('#form-filtro-sel\\:cml-filtrar-sel').addClass('loading');
                        $('#form-filtro-sel\\:cml-filtrar-sel').addClass('disabled');
                        if ($('#form-filtro-sel\\:in-tx-busq').val() !== "") {
                            $('#icono-busqueda').removeClass('search');
                            $('#icono-busqueda').addClass('spinner');
                            $('#icono-busqueda').addClass('loading');
                        }
                        break;
                    }
                    default:
                    {
                        $('#dim-tabla').dimmer('hide');
                        $('#form-filtro-sel\\:cml-filtrar-sel').removeClass('loading');
                        $('#form-filtro-sel\\:cml-filtrar-sel').removeClass('disabled');

                        $('#icono-busqueda').addClass('search');
                        $('#icono-busqueda').removeClass('spinner');
                        $('#icono-busqueda').removeClass('loading');
                        break;
                    }
                }
            }

            function listenerGenCuotaSus(message, channel, event) {
                console.log("mensaje socket funcionario:" + message);
                var nomBotonAceGen = "#dlg-generar-cuotas\\:btn-acept-gen";
                var nomBotonCerrarGen = "#btn-cerrar-gen";
                if (parseInt(message) === 100) {
                    mostrarMsg("Generar cuotas");
                    $(nomBotonAceGen).removeClass('disabled');
                    $(nomBotonAceGen).removeClass('loading');
                    $(nomBotonCerrarGen).removeClass('disabled');
                    $('#dlg-generar-cuotas\\:cml-actualizar-msg').click();
                }
                $('#lbl-cobra').html("Importando cobradores");
                $('#progress-gencuota').progress({
                    percent: parseInt(message)
                });
            }
            function ajaxSeleccionCliForm(data) {
                var s = data.status;
                switch (s) {
                    case 'success':
                    {
                        console.log("ajax seleccion cooirefresssh");
                        $('#tipoViv').dropdown('set selected', $('#form-datos\\:in-tipoviv').val());
                        $('#cmbServ').dropdown('set selected', $('#form-datos\\:in-idservicio').val());
                        $('#cmbCobrador').dropdown('set selected', $('#form-:datos\\:in-idcobrador').val());
                        $('#cmbBarrio').dropdown('set selected', $('#form-datos\\:in-idbarrio').val());
                        $('#cmb-tiposusc').dropdown('set selected', $('#form-datos\\:in-idtiposusc').val());
                        break;
                    }
                }
            }
            $('#boton-nuevo').click(function () {
                limpiarFormulario();
                $("#tabFormulario").click();
            });
            $(document).ready(function () {
                $('#cmbCobrador').dropdown({
                    apiSettings: {
                        url: '//' + location.host + restRootPath + '/buscarcobradordropdown?q={query}'
                    }
                });

                //INICIALIZACION CALENDARIOS FILTROS
                $('#cal-desde-filtro').calendar({
                    type: 'month',
                    text: {
                        days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                        months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                        monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                        today: 'Hoy',
                        now: 'Ahora',
                        am: 'AM',
                        pm: 'PM'
                    },
                    endCalendar: $('#cal-hasta-filtro')
                });
                $('#cal-hasta-filtro').calendar({
                    type: 'month',
                    text: {
                        days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                        months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                        monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                        today: 'Hoy',
                        now: 'Ahora',
                        am: 'AM',
                        pm: 'PM'
                    },
                    startCalendar: $('#cal-desde-filtro')
                });
                $('#cal-desde-ts-filtro').calendar({
                    type: 'date',
                    text: {
                        days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                        months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                        monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                        today: 'Hoy',
                        now: 'Ahora',
                        am: 'AM',
                        pm: 'PM'
                    },
                    endCalendar: $('#cal-hasta-ts-filtro')
                });
                $('#cal-hasta-ts-filtro').calendar({
                    type: 'date',
                    text: {
                        days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                        months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                        monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                        today: 'Hoy',
                        now: 'Ahora',
                        am: 'AM',
                        pm: 'PM'
                    },
                    startCalendar: $('#cal-desde-ts-filtro')
                });

                $('#cmb-reg-porpag').dropdown({
                    onChange: function () {
                        console.log("change cantidad items");
                        $('#form-tabla\\:cml-camb-cant-items').click();
                    }
                });
                $('.menu .item').tab();

                //                $('#cmb-estado-filtro').dropdown({
                //                    onChange: function () {
                //                        $('#form-filtro-sel\\:cml-filtrar-sel').click();
                //                    }
                //                });

                $('#cmb-susc-gen').dropdown({
                    apiSettings: {
                        url: '//' + location.host + restRootPath + '/buscsuscdropdown?q={query}'
                    }
                });
                $('#cmbCli').dropdown({
                    apiSettings: {
                        url: '//' + location.host + restRootPath + '/buscarClienteDropdown?q={query}'
                    }
                });

                $('#cal-primer-vencimiento').calendar({
                    type: 'date',
                    text: {
                        days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                        months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                        monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                        today: 'Hoy',
                        now: 'Ahora',
                        am: 'AM',
                        pm: 'PM'
                    },
                    minDate: new Date()
                });

                $('#cmb-cobrador-filtro').dropdown({
                    apiSettings: {
                        url: '//' + location.host + restRootPath + '/buscarcobradordropdown?q={query}'
                    }
                });
                $('#form-filtro-sel\\:cml-filtrar-sel').click();
                console.log("se esconde");
                $('#dimmerpagina').dimmer('show');
                $('#dimmerpagina').dimmer('hide');
            });

            $('#in-chk-todasfechascambio').click(function () {
                if ($('#in-chk-todasfechascambio').prop('checked')) {
                    $('#in-cal-desde-ts-filtro').attr('disabled', true);
                    $('#in-cal-hasta-ts-filtro').attr('disabled', true);
                } else {
                    $('#in-cal-desde-ts-filtro').attr('disabled', false);
                    $('#in-cal-hasta-ts-filtro').attr('disabled', false);
                }

            });

            $('.message .close').on('click', function () {
                $(this).closest('.message').transition('fade');
            });
            $('#btn-generar').click(function () {
                $('#dlg-generar-cuotas').modal('setting', 'closable', false).modal('show');
                $('#cal-desde-gencuota').calendar({
                    type: 'month',
                    text: {
                        days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                        months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                        monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                        today: 'Hoy',
                        now: 'Ahora',
                        am: 'AM',
                        pm: 'PM'
                    },
                    endCalendar: $('#cal-hasta-gencuota')
                });
                $('#cal-hasta-gencuota').calendar({
                    type: 'month',
                    text: {
                        days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                        months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                        monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                        today: 'Hoy',
                        now: 'Ahora',
                        am: 'AM',
                        pm: 'PM'
                    },
                    startCalendar: $('#cal-desde-gencuota')
                });
                $('#progress-gencuota').progress();
                //                $('#dlg-generar-cuotas').modal('show');
            });

            function keyPressSeleccionCli(event) {
                console.log('key press cli');
                if (event.which === 13 || event.keyCode === 13) {
                    $('#form-datos\\:cml-selec-cli-form').click();
                    return false;
                }
            }
            function ajaxRegistrarSusc(accion, data) {
                if (data.status === 'success') {
                    $('#form-datos\\:btn-agregar').removeClass('loading');
                    $('#form-datos\\:btn-agregar').removeClass('disabled');
                    $('#btn-agregar').removeClass('loading');
                    $('#btn-agregar').removeClass('disabled');
                    if ($('#msg-form').css('display') === 'none') {
                        $('#titulo-msg').html(accion);
                        $("#msg-form").transition('fade');
                    }
                } else if (data.status === 'begin') {
                    $('#form-datos\\:btn-agregar').addClass('loading');
                    $('#form-datos\\:btn-agregar').addClass('disabled');
                }
            }

            function ajaxModificarSusc(accion, data) {
                if (data.status === 'success') {
                    $('#form-datos\\:btn-guardar').removeClass('loading');
                    $('#form-datos\\:btn-guardar').removeClass('disabled');
                    if ($('#msg-form').css('display') === 'none') {
                        $('#titulo-msg').html(accion);
                        $("#msg-form").transition('fade');

                    }
                } else if (data.status === 'begin') {
                    $('#form-datos\\:btn-guardar').addClass('loading');
                    $('#form-datos\\:btn-guardar').addClass('disabled');
                }
            }
            function registrarSusc(accion, data) {
                if (data.status === 'success') {
                    if ($('#msg-form').css('display') === 'none') {
                        $('#titulo-msg').html(accion);
                        $("#msg-form").transition('fade');
                    }
                }
            }
            function selecFila(idsusc) {
                console.log("selecFila llamado");
                var nombreFila = "#rw-" + idsusc;
                var nombreChk = "#chk-sl-" + idsusc;
                if ($(nombreFila).hasClass('active')) {
                    $(nombreFila).removeClass('active');
                    $(nombreChk).prop('checked', false);
                } else {
                    $(nombreFila).addClass('active');
                    $(nombreChk).prop('checked', true);
                }
                generarDatosSeleccion();
                ocultarBtnElim();
                comprobarSeleccionTodo();
                modoModificar();
                var seleccionados = $('tbody :checkbox:checked').length;
                if (seleccionados === 1) {
                    cargarFormulario(idsusc);
                } else {
                    limpiarFormulario();
                }
            }

            function selecUnica(id) {
                var nombreFila = "#rw-" + id;
                var nombreChk = "#chk-sl-" + id;
                if ($(nombreFila).hasClass('active')) {
                    $('tbody :checkbox:checked').prop('checked', false);
                    $('#form-tabla\\:tabla-susc tbody tr').removeClass('active');
                    limpiarFormulario();
                } else {
                    $('tbody :checkbox:checked').prop('checked', false);
                    $('#form-tabla\\:tabla-susc tbody tr').removeClass('active');
                    $(nombreFila).addClass('active');
                    $(nombreChk).prop('checked', true);
                    cargarFormulario(id);
                }
                generarDatosSeleccion();
                ocultarBtnElim();
                modoModificar();

            }
            function ocultarBtnElim() {
                var seleccionados = $('tbody :checkbox:checked').length;
                if (seleccionados > 0) {
                    $('#btn-elim').show();
//                    $("#boton-nuevo").css("margin-right", "5px");
                } else {
                    $('#btn-elim').hide();
//                    $("#boton-nuevo").css("margin-right", "0px");
                }
            }
            function comprobarSeleccionTodo() {
                var seleccionados = $('tbody :checkbox:checked').length;
                var cantFilas = $('tbody tr').length;
                if (seleccionados === cantFilas) {
                    $('#chk-selec-todo').prop('checked', true);
                } else {
                    $('#chk-selec-todo').prop('checked', false);
                }
            }
            function modoModificar() {
                var seleccionados = $('tbody :checkbox:checked').length;
                if (seleccionados === 1) {
                    mostrarCamposPrimeraCuota(true);
                    $('#form-datos\\:btn-guardar').css('display', 'inline-block');
                    $('#form-datos\\:btn-agregar').css('display', 'none');
                } else {
                    mostrarCamposPrimeraCuota(false);
                    $('#form-datos\\:btn-guardar').css('display', 'none');
                    $('#form-datos\\:btn-agregar').css('display', 'inline-block');
                }
            }
            function seleccionarTodo() {
                if ($('#chk-selec-todo').prop('checked')) {
                    $('tbody tr').addClass('active');
                    $('tbody :checkbox').prop('checked', true);
                    limpiarFormulario();
                } else {
                    $('tbody tr').removeClass('active');
                    $('tbody :checkbox').prop('checked', false);
                }
                generarDatosSeleccion();
                ocultarBtnElim();
                //comprobarSeleccionTodo();
                modoModificar();
            }
            function limpiarFormulario() {
                $('#idsusc').val('');
                $('#idsusc-hidden').val('');
                $('#cmbCli').dropdown('clear');
                $('#cmbServ').dropdown('clear');
                $('#form-datos\\:in-montocuota').val('');
                $('#form-datos\\:in-diavenc').val('');
                $('#cmbEstado').dropdown('clear');
                $('#form-datos\\:in-canttv').val('');
                $('#form-datos\\:in-nroMedidor').val('');
                $('#tipoViv').dropdown('clear');
                $('#cmbCobrador').dropdown('clear');
                $('#cmbBarrio').dropdown('clear');
                $('#form-datos\\:in-direccion').val('');
                $('#cmb-tiposusc').dropdown('clear');
                $('#form-datos\\:in-monto-primer').val('');
                $('#cal-primer-vencimiento').calendar('clear');
            }

            function cargarFormulario(id) {
                $('#idsusc').val(id);
                $('#idsusc-hidden').val(id);
                $('#cmbCli').dropdown('set value', $('#' + id + "-cli").val());
                $('#cmbCli').dropdown('set text', $('#colRazon-' + id).html());
                //                $('#cmbCli').dropdown('set selected', $('#' + id + "-cli").val());

                $('#cmbServ').dropdown('set selected', $('#' + id + '-serv').val());
                //                $('#montoCuota').val(parseInt($('#colMontoCuota-' + id).html()));
                $('#form-datos\\:in-montocuota').val(parseInt($('#' + id + "-montocuo").val()));
                $('#form-datos\\:in-diavenc').val(parseInt($('#' + id + '-vencim').val()));
                $('#cmbEstado').dropdown('set selected', $('#' + id + '-estado').val());
                $('#form-datos\\:in-canttv').val($("#" + id + "-canttv").val());
                $('#form-datos\\:in-nroMedidor').val($('#' + id + '-nromedidor').val());
                $('#tipoViv').dropdown('set selected', $('#' + id + '-tipoviv').val());

                $('#cmbCobrador').dropdown('set value', $('#' + id + '-cobra').val());
                $('#cmbCobrador').dropdown('set text', $('#' + id + '-nombrecobra').val());

                $('#cmbBarrio').dropdown('set selected', $('#' + id + '-barrio').val());
                $('#form-datos\\:in-direccion').val($('#colDirecc-' + id).text().trim());
                $('#cmb-tiposusc').dropdown('set selected', $('#' + id + '-tiposusc').val());
            }
            $('#btn-elim').click(function () {
                $('#dlg-conf-elim').modal('show');
            });
            function generarDatosSeleccion() {
                var idSeleccionados = [];
                $("tbody tr [id^='colIdSusc']").each(function (index, value) {
                    var id = parseInt($(this).html());
                    if ($('#chk-sl-' + id).prop('checked')) {
                        idSeleccionados.push(id);
                    }
                });
                var jsonselect = JSON.stringify(idSeleccionados);
                $('#selbar').val(jsonselect);
                $('#div-btn-elim').hide();
                $('#form-tabla\\:cml-enviar-seleccion').click();
            }

            var timeOut = 0;
            $("#txf-buscar").on("input", function () {
                console.log("on input txf buscar");
                clearTimeout(timeOut);
                timeOut = setTimeout(function () {
                    $('#form-filtro-sel\\:in-tx-busq').val($("#txf-buscar").val());
                    //                    $('#form-filtro\\:cl-buscar').click();
                    $('#form-filtro-sel\\:cml-filtrar-sel').click();
                    //                    modoNuevo();
                }, 500);
            });



            function ajaxBusqueda(data) {
                console.log("ajax busqueda");
                if (data.status === 'begin') {
                    $('#dim-tabla').dimmer('show');
                    $('#icono-busqueda').removeClass('search');
                    $('#icono-busqueda').addClass('spinner');
                    $('#icono-busqueda').addClass('loading');
                } else {
                    $('#dim-tabla').dimmer('hide');
                    $('#icono-busqueda').addClass('search');
                    $('#icono-busqueda').removeClass('spinner');
                    $('#icono-busqueda').removeClass('loading');
                }
            }

            function ajaxGenerarCuotas(data) {
                var s = data.status;
                var nomBotonAceGen = "#dlg-generar-cuotas\\:btn-acept-gen";
                var nomBotonCerrarGen = "#btn-cerrar-gen";
                switch (s) {
                    case 'begin':
                    {
                        console.log('begin ajax');
                        $(nomBotonAceGen).addClass('disabled');
                        $(nomBotonAceGen).addClass('loading');
                        $(nomBotonCerrarGen).addClass('disabled');
                        break;
                    }
                    //                    case 'success':
                    //                    {
                    //                        console.log('success ajax');
                    //                        $(nomBotonAceGen).removeClass('disabled');
                    //                        $(nomBotonAceGen).removeClass('loading');
                    //                        $(nomBotonCerrarGen).removeClass('disabled');
                    //                        mostrarMsg('Generar cuotas');
                    //                        break;
                    //                    }
                    case 'error':
                    {
                        $(nomBotonAceGen).removeClass('disabled');
                        $(nomBotonAceGen).removeClass('loading');
                        $(nomBotonCerrarGen).removeClass('disabled');
                        mostrarMsg('Generar cuotas');
                        break;
                    }
                }
            }
            function mostrarMsg(titulo) {
                establecerTipoMsgGen();
                $('#titulo-msg-gen').html(titulo);
                if ($('#msg-status-gen').css('display') === 'none') {
                    $('#msg-status-gen').transition('fade');
                }
            }

            function establecerTipoMsgGen() {
                var tipomsggenStr = $('#dlg-generar-cuotas\\:tipo-msg-gen').val();
                var tipomsggen = parseInt(tipomsggenStr);
                console.log("valor tipo:: " + tipomsggen);
                $('#msg-status-gen').removeClass('info');
                $('#msg-status-gen').removeClass('warning');
                $('#msg-status-gen').removeClass('negative');
                switch (tipomsggen) {
                    case 1:
                    {
                        $('#msg-status-gen').addClass('info');
                        break;
                    }
                    case 2:
                    {
                        $('#msg-status-gen').addClass('warning');
                        break;
                    }
                    case 3:
                    {
                        $('#msg-status-gen').addClass('negative');
                        break;
                    }
                }
            }
            $('#dlg-generar-cuotas\\:in-generar-todo').click(function () {
                if ($('#dlg-generar-cuotas\\:in-generar-todo').is(':checked')) {
                    $('#cmb-susc-gen').addClass('disabled');
                    console.log("check");
                } else {
                    $('#cmb-susc-gen').removeClass('disabled');
                    console.log("no check");
                }
            });
            function ajaxSeleccion(data) {
                var s = data.status;
                switch (s) {
                    case 'success':
                    {
                        $('#cmbCli').dropdown();
                        break;
                    }
                }
            }

            function mostrarDimerInforme() {
                $('#mensajedimmer').empty();
                $('#mensajedimmer').append("Creando informe...");
                $('#dimmerpagina').dimmer('show');
            }

            function verDetalleCliente(idc) {
                var nuevaUrl = window.location.origin + "#{navegacionManBean.rootPath}/faces/cliente/detallecliente.xhtml?idc=" + idc;
                window.location.href = nuevaUrl;
            }

            function ajaxActualizarNroSuscrip(data) {
                var status = data.status;
                switch (status) {
                    case "begin":
                    {
                        $("#btnActualizarNroSusc").addClass("disabled");
                        $("#btnActualizarNroSusc").addClass("loading");
                        break;
                    }
                    default:
                    {
                        $("#btnActualizarNroSusc").removeClass("disabled");
                        $("#btnActualizarNroSusc").removeClass("loading");
                    }
                }
            }
        </script>
    </ui:define>

</ui:composition>
